/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		Ball.h
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	26.08.2001
// letzte nderung:	26.08.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	kapselt die Physik und die Engine fr die Blle			
/////////////////////////////////////////////////////////////////////////////////////


#ifndef _Ball_H
#define _Ball_H

// includes
#include "XGameSDK\XDisplay.h"
#include "XGameSDK\XSurface.h"
#include "XGameSDK\XSprite.h"

// Klassen-Deklaration

class	Ball
{
public:

		Ball(int iNrOfBalls);
		~Ball(void);

void	setPos(int iNr, float fX, float fY, float fZ);
void	setDelta(int iNr, float fX, float fY, float fZ);
void	setGravity(float fGrav);
void	setFloor(float fFloor);
void	setDistance(int iDistance);
void	moveandtransform(int iAngle, float fTimePassed);
void	draw(XDisplay* pxdDest, XSprite* pxsSprite, int iNrOfFrames);
int		getActualBall(void);

private:

void	deepSort(void);

int		m_iNrOfBalls;
int		m_iActualBall;
float	m_fGravity;
int		m_iDistance;
float	m_fFloor;

float*	m_pfPosX;
float*	m_pfPosY;
float*	m_pfPosZ;

float*	m_pfDeltaX;
float*	m_pfDeltaY;
float*	m_pfDeltaZ;

int*	m_piTransX;
int*	m_piTransY;
int*	m_piTransZ;

int*	m_piScreenX;
int*	m_piScreenY;

int*	m_piDeepSort;
};

#endif // _Ball_H

class	Ball;

/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		Ball.h
/////////////////////////////////////////////////////////////////////////////////////
